Page MenuHomePhabricator

Sometimes Citoid API returns null authors when using format mediawiki
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterFix null authors bug

Event Timeline

kaldari created this task.Dec 13 2015, 7:18 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Citoid.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 13 2015, 7:18 PM
kaldari updated the task description. (Show Details)Dec 13 2015, 7:20 PM
kaldari set Security to None.
kaldari added a subscriber: Mvolz.Dec 13 2015, 7:24 PM
kaldari updated the task description. (Show Details)Dec 13 2015, 7:28 PM

Confirmed that this also affects VisualEditor.

Mvolz claimed this task.Dec 20 2015, 9:57 PM
Mvolz triaged this task as High priority.
Mvolz added a project: Security-Other.

Adding security because I thought measures were put in place to prevent self referential requests?

Adding security because I thought measures were put in place to prevent self referential requests?

This case wasn't covered by @dpatrick's patch because citoid.wm.org resolves the external IP in production:

mobrovac@sca1001:~$ nslookup citoid.wikimedia.org
Server:		208.80.154.239
Address:	208.80.154.239#53

Non-authoritative answer:
citoid.wikimedia.org	canonical name = citoid.eqiad.wikimedia.org.
Name:	citoid.eqiad.wikimedia.org
Address: 208.80.154.248

We should definitely disallow that. As a first measure, even setting a config string and then checking if it's contained in the search field will work just fine.

Change 260318 had a related patch set uploaded (by Mvolz):
Fix null authors bug

https://gerrit.wikimedia.org/r/260318

Mvolz added a comment.Dec 28 2015, 5:19 PM

Ultimately this was caused by the translator returning results with what I believe are the wrong field names: https://github.com/zotero/translators/issues/983

Once this is fixed, there will be no authors in the result. Which is perhaps not what you're looking for... this is because if Zotero results are available we choose them, although in the case we actually get better results without Zotero because crossRef data here is pretty good. This will be fixed at some point after T114907.

As per kaldaris comment, name *is* a valid field. I'll amend to handle it.

Change 260318 merged by Mobrovac:
Fix null authors bug

https://gerrit.wikimedia.org/r/260318

Mvolz moved this task from Backlog to Waiting on Deploy on the Citoid board.
mobrovac closed this task as Resolved.Jan 21 2016, 2:28 AM

Deployed, resolving.

sbassett moved this task from Incoming to Done on the Security-Team board.Jun 11 2019, 7:10 PM